
#ifndef StringIdentifierH
#define StringIdentifierH

#include "util/Pointers.h"
#include "util/simpleobject/AgString.h"

class StringIdentifier
{
private:
    AgString id;

public:
    StringIdentifier(const AgString &id);
    AgString getId();
    bool equals(StringIdentifier *obj);
    int hashCode();
    AgString toString();
};

#endif
